Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Class PortalRenderSet

    java.lang.Object
      org.jboss.portal.theme.PortalRenderSet

    public final class PortalRenderSet

extends java.lang.Object

The portal render set is a set of renderer implementations for the markup container of a page.

A render set consists of 4 iterface implementations with some meta data describing the web application the render set is coming from, and the content type it is capable of handling.

Version:
  `$Revision: 10337 $`
Author:
  Martin Holzner.

Constructor Summary
`PortalRenderSet(java.lang.String renderSetName, RuntimeContext runtimeContext, RendererSetMetaData rendererSetMD)` construct a render set

Method Summary
`java.lang.String` | `getAppId()` Get the name of the application (the WAR) that contains this render set.
`DecorationRenderer` | `getDecorationRenderer()`
`org.jboss.portal.common.net.media.MediaType` | `getMediaType()`
`java.lang.String` | `getName()` Get the name of this render set.
`PortletRenderer` | `getPortletRenderer()`
`RegionRenderer` | `getRegionRenderer()`
`ServerRegistrationID` | `getRegistrationId()`
`WindowRenderer` | `getWindowRenderer()`
`boolean` | `isAjaxEnabled()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalRenderSet

    public PortalRenderSet(java.lang.String renderSetName,
                           RuntimeContext runtimeContext,
                           RendererSetMetaData rendererSetMD)
                    throws java.lang.IllegalAccessException,
                           java.lang.InstantiationException,
                           java.lang.ClassNotFoundException

  construct a render set

  Parameters:
    `renderSetName` - the name of the render set as defined in the portal-renderSet.xml descriptor, or null if it was defined as part of a layout descriptor.
    `runtimeContext` - the runtime environment (data describing the portal web application in wich the render set was defined)
    `rendererSetMD` - meta data about an individual set of 4 renderer implementation together with their supported content type
  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`
    `java.lang.ClassNotFoundException`

Method Detail

### getRegistrationId

    public ServerRegistrationID getRegistrationId()

### getMediaType

    public org.jboss.portal.common.net.media.MediaType getMediaType()

  See Also:
    `getMediaType()`

### getAppId

    public java.lang.String getAppId()

  Get the name of the application (the WAR) that contains this render set.

  Returns:
    the name of the application (the WAR) that contains this render set

### getName

    public java.lang.String getName()

  Get the name of this render set.

  Returns:
    the name of this render set

### getRegionRenderer

    public RegionRenderer getRegionRenderer()

  See Also:
    `getRegionRenderer()`

### getWindowRenderer

    public WindowRenderer getWindowRenderer()

  See Also:
    `getWindowRenderer()`

### getPortletRenderer

    public PortletRenderer getPortletRenderer()

  See Also:
    `getPortletRenderer()`

### getDecorationRenderer

    public DecorationRenderer getDecorationRenderer()

  See Also:
    `getDecorationRenderer()`

### isAjaxEnabled

    public boolean isAjaxEnabled()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD